<?php
/**
* @version $Id: default.php $ 
* @version		1.3.5 27/05/2015
* @package		com_bsbanner
* @author       Bernard Saulmé
* @copyright	Copyright (C) 2010-2011-2012-2013-2014-2015 Bernard Saulmé
* @license      GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
*/
defined('_JEXEC') or die('Restricted access');

if (version_compare(JVERSION, '3.4.0', 'ge'))
	JHtml::_('bootstrap.tooltip');

?>
<?php if (!empty($this->sidebar)) : ?>
	<div id="j-sidebar-container" class="span2">
		<?php echo $this->sidebar; ?>
	</div>
	<div id="j-main-container" class="span10">
<?php else : ?>
	<div id="j-main-container">
<?php endif;?>
<div class="bsbanner">
	<fieldset class="adminform">
	<legend><?php echo JText::_('COM_BSBANNER_PLUGIN_LIST');?></legend>
		<form method="post" action="<?php echo JRoute::_('index.php'); ?>" >
<?php
 $nb = count($this->tab_list_dir);
 if ($nb == 0)
	echo JText::_('COM_BSBANNER_PLUGIN_NO_PLUGIN').'<br />';
 else {
	for ($i = 0 ; $i < $nb ; ++$i) {
		$comment = '';
		if ($this->tab_list_dir[$i] == 'plug_data_default')
			$comment = ' '.JText::_('COM_BSBANNER_PLUGIN_MODEL');
		
		if ('plug_'.$this->plugin == $this->tab_list_dir[$i])
			$comment .= ' '.JText::_('COM_BSBANNER_PLUGIN_ACTIVE');

		echo '<label for="i'.$i.'" style="margin: 0"><input type="radio" id="i'.$i.'" name="plugin" value="'.$this->tab_list_dir[$i].'" />'.str_replace('plug_', '', $this->tab_list_dir[$i]).$comment.'</label><br />';
	}
?>
			<br /><br />
			<input name="option" type="hidden" value="com_bsbanner" />
			<input name="task" type="hidden" value="delplug" />
			<input type="submit" class="button" value="<?php echo JText::_('COM_BSBANNER_PLUGIN_DELETE'); ?>" />
<?php } ?>
		</form>
	</fieldset>

	<form method="post" action="<?php echo JRoute::_('index.php'); ?>" enctype="multipart/form-data" >
		<fieldset class="adminform">
			<legend><?php echo JText::_('COM_BSBANNER_PLUGIN_UPLOAD');?></legend>
			<input name="option" type="hidden" value="com_bsbanner" />
			<input name="task" type="hidden" value="instplug" />
			<input type="file" name="userfile" class="inputbox button" />
			<input type="hidden" name="MAX_FILE_SIZE" value="1048576" />
			<input type="submit" class="button" value="<?php echo JText::_('COM_BSBANNER_PLUGIN_UPLOAD'); ?>" />
		</fieldset>
	</form>

</div>
</div>
