<?php
/**
* @version $Id: view.html.php $
* @version		1.3.5 27/05/2015
* @package		com_bsbanner
* @author       Bernard Saulmé
* @copyright	Copyright (C) 2010-2011-2012-2013-2014-2015 Bernard Saulmé
* @license      GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
*/
defined('_JEXEC') or die('Restricted access');
if (!defined('DS')) define('DS', DIRECTORY_SEPARATOR);

require_once JPATH_COMPONENT_SITE.DS.'helpers'.DS.'legacy.php';

jimport('joomla.application.component.view');
jimport('joomla.html.parameter'); // J1.6

class BsbannerViewPlugin extends JViewLegacy
{
	/**
	 * display method of BSbanner view
	 * @return void
	 **/
	function display($tpl = null)
	{
		// Menu bar
		if (version_compare(JVERSION, '3.0.0', 'lt'))
			$icon = 'config';
		else
			$icon = 'power-cord';	
		JToolBarHelper::title(JText::_('COM_BSBANNER_HOME').': <small>'.JText::_('COM_BSBANNER_PLUGIN').'</small>', $icon);
		
		$pparams = JComponentHelper::getParams('com_bsbanner');
		$plugin = $pparams->get('plugin', 'data_default');
		
		// Plugin list
        require_once JPATH_COMPONENT_SITE.DS.'helpers'.DS.'util.php';
		$forbiden_files = array('.', '..');
		$tab_list_dir = list_dir_dir(JPATH_COMPONENT_SITE.DS.'plugin'.DS, '*', $forbiden_files, 1);
		$this->assignRef('tab_list_dir', $tab_list_dir);

		// Sidebar
		if (version_compare(JVERSION, '3.4.0', 'ge'))
			$this->sidebar = JHtmlSidebar::render();

		$this->assignRef('plugin', $plugin);
		
		parent::display($tpl);
	}
}

?>
