<?php
/**
* @version $Id: view.html.php $ 
* @version		1.3.6 11/07/2015
* @package		bsbanner
* @author       Bernard Saulmé
* @copyright	Copyright (C) 2008-2009-2010-2011-2012-2013-2014-2015 Bernard Saulmé
* @license      GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
*/

defined('_JEXEC') or die('Restricted access');
if (!defined('DS')) define('DS', DIRECTORY_SEPARATOR);

require_once JPATH_COMPONENT_SITE.DS.'helpers'.DS.'legacy.php';

jimport('joomla.application.component.view');
jimport('joomla.html.parameter'); // J!1.6

/**
 * HTML View to delete the vignette
 * @package    Bsbanner
 */

class BsbannerViewSupp extends JViewLegacy
{
	function display($tpl = null)
	{
		$user = JFactory::getuser();
		$pparams = JComponentHelper::getParams('com_bsbanner');
	
		$nb_instance = $pparams->get('nb_instance', 1);
		$plugin = $pparams->get('plugin', 'data_default');

		$inst = JRequest::getVar('inst', '1');
		
		// Vignette file name
		$img_file_rep = JPATH_ROOT.DS.str_replace('/',DS, $pparams->get('fichier_image_rep', 'images/')).$user->username.'-'.$inst.'.png';
		if (!file_exists($img_file_rep))
			$img_file_rep = null;

		$this->assignRef('img_file_rep', $img_file_rep);
		$this->assignRef('inst', $inst);
		$this->assignRef('nb_instance', $nb_instance);
		$this->assignRef('plugin', $plugin);
		
		parent::display($tpl);
	}
}
?>