<?php
/**
* @version $Id: controller.php $
* @version		1.2.3 27/05/2015
* @package		bsbanner
* @author       Bernard Saulmé
* @copyright	Copyright (C) 2008-2012-2013-2014-2015 Bernard Saulmé
* @license      GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
*/

defined('_JEXEC') or die;
if (!defined('DS')) define('DS', DIRECTORY_SEPARATOR);

require_once JPATH_COMPONENT_SITE.DS.'helpers'.DS.'legacy.php';

jimport('joomla.application.component.controller');

class BsbannerController extends JControllerLegacy
{
	function display($cachable = false, $urlparams = false)
	{
	
		$vName = JRequest::getCmd('view', 'bsbanner');
	
		// Add menu
		if (version_compare(JVERSION, '3.4.0', 'ge')) {
			JHtmlSidebar::addEntry(JText::_('COM_BSBANNER_HOME'), 'index.php?option=com_bsbanner', $vName == 'bsbanner');
			JHtmlSidebar::addEntry(JText::_('COM_BSBANNER_PLUGIN'), 'index.php?option=com_bsbanner&view=plugin', $vName == 'plugin');
			JHtmlSidebar::addEntry(JText::_('COM_BSBANNER_PARAM'), 'index.php?option=com_bsbanner&view=param', $vName == 'param');
		} else {
			JSubMenuHelper::addEntry(JText::_('COM_BSBANNER_HOME'), 'index.php?option=com_bsbanner', $vName == 'bsbanner');
			JSubMenuHelper::addEntry(JText::_('COM_BSBANNER_PLUGIN'), 'index.php?option=com_bsbanner&view=plugin', $vName == 'plugin');
			JSubMenuHelper::addEntry(JText::_('COM_BSBANNER_PARAM'), 'index.php?option=com_bsbanner&view=param', $vName == 'param');
		}

		parent::display();
	}
	
	
	// Unzip plugin file in the plugin folder
	function instplug() {
	
		if (version_compare(PHP_VERSION, '5.2.0') >= 0) { 
			if (isset($_FILES['userfile']['tmp_name'])) {
				$file_tmp = $_FILES['userfile']['tmp_name'];
				$zip = new ZipArchive;
				if ($zip->open($file_tmp) === TRUE) {
					$zip->extractTo(JPATH_COMPONENT_SITE.DS.'plugin');
					$zip->close();
					$retour = 1;
				} else {
					$retour = 0;
				}
				@unlink($_FILES['userfile']['tmp_name']);
			}
		} else {
			$this->setRedirect(JRoute::_('index.php?option=com_bsbanner&view=plugin',false), JText::_('COM_BSBANNER_PLUGIN_UPLOAD_KO_PHP'), 'error');
			return;
		}
		
		if ($retour == 1)
			$this->setRedirect(JRoute::_('index.php?option=com_bsbanner&view=plugin',false), JText::_('COM_BSBANNER_PLUGIN_UPLOAD_OK'), 'message');
		else
			$this->setRedirect(JRoute::_('index.php?option=com_bsbanner&view=plugin',false), JText::_('COM_BSBANNER_PLUGIN_UPLOAD_KO'), 'error');
	}
	
	
	// Delete a plugin forder
	function delplug() {

		require_once JPATH_COMPONENT_SITE.DS.'helpers'.DS.'util.php';
		
		$plugin = JRequest::getVar('plugin', '');
		if ($plugin == '' || $plugin == '.')
			$retour = 0;
		else
			$retour = clear_dir(JPATH_COMPONENT_SITE.DS.'plugin'.DS.$plugin);
	
		if ($retour == 1)
			$this->setRedirect(JRoute::_('index.php?option=com_bsbanner&view=plugin',false), JText::sprintf('COM_BSBANNER_PLUGIN_DEL_OK', $plugin), 'message');
		else
			$this->setRedirect(JRoute::_('index.php?option=com_bsbanner&view=plugin',false), JText::sprintf('COM_BSBANNER_PLUGIN_DEL_KO', $plugin), 'error');
	}

}
?>
