<?php
/**
* @version $Id: default.php $
* @version		1.3.5 27/05/2015
* @package		com_bsbanner
* @author       Bernard Saulmé
* @copyright	Copyright (C) 2010-2011-2012-2013-2014-2015 Bernard Saulmé
* @license      GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
*/
defined('_JEXEC') or die('Restricted access');
if (!defined('DS')) define('DS', DIRECTORY_SEPARATOR);

if (version_compare(JVERSION, '3.4.0', 'ge'))
	JHtml::_('bootstrap.tooltip');

?>
<?php if (!empty($this->sidebar)) : ?>
	<div id="j-sidebar-container" class="span2">
		<?php echo $this->sidebar; ?>
	</div>
	<div id="j-main-container" class="span10">
<?php else : ?>
	<div id="j-main-container">
<?php endif;?>
<div class="bsbanner">
<fieldset class="adminform">
	<legend><?php echo JText::_('COM_BSBANNER_PARAM'); ?></legend>
	<?php echo JText::_('COM_BSBANNER_FIELDSET_CONFIG0'); ?>
	<ul>
	<li><?php echo JPATH_COMPONENT_SITE.DS.'models'.DS.'#ref-image.conf2.php'; ?></li>
	</ul>
	<?php echo JText::_('COM_BSBANNER_FIELDSET_CONFIG1'); ?>
</fieldset>
<?php
	$fichier_param = JPATH_COMPONENT_SITE.DS.'models'.DS.'#ref-image.conf2.php';
	if (file_exists($fichier_param)) {
		require_once $fichier_param;
		
		$nb = count($maconf);
		?>
		<fieldset class="adminform">
		<legend><?php echo JText::_('COM_BSBANNER_PLUGIN_PARAM');?></legend>
		<table><tr><th>#</th><th>id</th><th>cond</th><th>val</th><th>color</th><th>img</th></tr>
		<?php
		for ($i = 1 ; $i <= $nb ; ++$i) {
			echo '<tr><td>'.$i.'</td><td>'.$maconf[$i]['id'].'</td><td>'.htmlspecialchars($maconf[$i]['cond']).'</td><td>'.$maconf[$i]['val'].'</td><td style="background-color: #'.$maconf[$i]['color'].';">'.$maconf[$i]['color'].'</td><td>'.$maconf[$i]['img'].'</td></tr>';
		}
		?>
		</table>
		</fieldset>
<?php
	}
?>
</div>
</div>
