<?php
/**
* @version $Id: script.bsbanner.php $
* @version		1.3.5 29/11/2015
* @author       Bernard Saulmé
* @copyright	Copyright (C) 2012-2013-2014-2015 Bernard Saulmé
* @license      GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
*/
 
// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die;
if (!defined('DS')) define('DS', DIRECTORY_SEPARATOR);

class com_bsbannerInstallerScript
{
	public function __construct($installer)
	{
		$this->installer = $installer;
	}
 
	public function postflight($type, $parent) {

		// Installation & migrations
		define('__ROOTINSTALL__', dirname(__FILE__));
		require_once(__ROOTINSTALL__.'/install.bsbanner.php');

		$asset	= JTable::getInstance('asset');

		if (!$asset->loadByName('com_bsbanner')) {
			$root = JTable::getInstance('asset');
			$root->loadByName('root.1');
			$asset->name = 'com_bsbanner';
			$asset->title = 'com_bsbanner';
			$asset->setLocation($root->id, 'last-child');
		};

		// Component first Install
		if ($asset->rules == '' || $asset->rules == '{}') { // No Rules => Store the default ACL rules into the database
			$asset->rules = '{"core.manage":{"6":1,"7":1},"user.bsbanner":{"6":1,"7":1,"2":1},"user.data":{"6":1,"7":1,"2":1},"user.doc":{"6":1,"7":1,"2":1},"user.edit":{"6":1,"7":1,"2":1},"user.supp":{"6":1,"7":1,"2":1},"core.admin":{"7":1},"core.options":{"7":1}}';

	        if (!$asset->check() || !$asset->store()) { 
                $this->setError($asset->getError());
				return false;
			}
		}

		return true;
	}
}

?>
